SDL_touch.h File Reference
`#include "SDL_stdinc.h"`
`#include "SDL_error.h"`
`#include "SDL_video.h"`
`#include "begin_code.h"`
`#include "close_code.h"`
Include dependency graph for SDL_touch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | SDL_Finger

## Macros

#define | SDL_TOUCH_MOUSEID ((Uint32)-1)
#define | SDL_MOUSE_TOUCHID ((Sint64)-1)

## Typedefs

typedef Sint64 | SDL_TouchID
typedef Sint64 | SDL_FingerID

## Enumerations

enum | SDL_TouchDeviceType { SDL_TOUCH_DEVICE_INVALID = -1 , SDL_TOUCH_DEVICE_DIRECT , SDL_TOUCH_DEVICE_INDIRECT_ABSOLUTE , SDL_TOUCH_DEVICE_INDIRECT_RELATIVE }

## Functions

int | SDL_GetNumTouchDevices (void)
SDL_TouchID | SDL_GetTouchDevice (int index)
const char * | SDL_GetTouchName (int index)
SDL_TouchDeviceType | SDL_GetTouchDeviceType (SDL_TouchID touchID)
int | SDL_GetNumTouchFingers (SDL_TouchID touchID)
SDL_Finger * | SDL_GetTouchFinger (SDL_TouchID touchID, int index)

## Macro Definition Documentation

## SDL_MOUSE_TOUCHID

#define SDL_MOUSE_TOUCHID ((Sint64)-1)

Definition at line 64 of file SDL_touch.h.

## SDL_TOUCH_MOUSEID

#define SDL_TOUCH_MOUSEID ((Uint32)-1)

Definition at line 61 of file SDL_touch.h.

## Typedef Documentation

## SDL_FingerID

typedef Sint64 SDL_FingerID

Definition at line 42 of file SDL_touch.h.

## SDL_TouchID

typedef Sint64 SDL_TouchID

# CategoryTouch

Include file for SDL touch event handling.

Definition at line 41 of file SDL_touch.h.

## Enumeration Type Documentation

## SDL_TouchDeviceType

enum SDL_TouchDeviceType

Enumerator
SDL_TOUCH_DEVICE_INVALID |
SDL_TOUCH_DEVICE_DIRECT |
SDL_TOUCH_DEVICE_INDIRECT_ABSOLUTE |
SDL_TOUCH_DEVICE_INDIRECT_RELATIVE |

Definition at line 44 of file SDL_touch.h.

{
SDL_TOUCH_DEVICE_INVALID = -1,
SDL_TOUCH_DEVICE_DIRECT, /* touch screen with window-relative coordinates */
SDL_TOUCH_DEVICE_INDIRECT_ABSOLUTE, /* trackpad with absolute device coordinates */
SDL_TOUCH_DEVICE_INDIRECT_RELATIVE /* trackpad with screen cursor-relative coordinates */
} SDL_TouchDeviceType;
SDL_TouchDeviceType
SDL_TouchDeviceType
Definition SDL_touch.h:45
SDL_TOUCH_DEVICE_INDIRECT_ABSOLUTE
@ SDL_TOUCH_DEVICE_INDIRECT_ABSOLUTE
Definition SDL_touch.h:48
SDL_TOUCH_DEVICE_DIRECT
@ SDL_TOUCH_DEVICE_DIRECT
Definition SDL_touch.h:47
SDL_TOUCH_DEVICE_INDIRECT_RELATIVE
@ SDL_TOUCH_DEVICE_INDIRECT_RELATIVE
Definition SDL_touch.h:49
SDL_TOUCH_DEVICE_INVALID
@ SDL_TOUCH_DEVICE_INVALID
Definition SDL_touch.h:46

## Function Documentation

## SDL_GetNumTouchDevices()

int SDL_GetNumTouchDevices | ( | void |  | ) |

extern

Get the number of registered touch devices.

On some platforms SDL first sees the touch device if it was actually used. Therefore SDL_GetNumTouchDevices() may return 0 although devices are available. After using all devices at least once the number will be correct.

This was fixed for Android in SDL 2.0.1.

Returns
  the number of registered touch devices.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetTouchDevice

## SDL_GetNumTouchFingers()

int SDL_GetNumTouchFingers | ( | SDL_TouchID | touchID | ) |

extern

Get the number of active fingers for a given touch device.

Parameters

  touchID | the ID of a touch device.

Returns
  the number of active fingers for a given touch device on success or 0 on failure; call SDL_GetError() for more information.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetTouchFinger

## SDL_GetTouchDevice()

SDL_TouchID SDL_GetTouchDevice | ( | int | index | ) |

extern

Get the touch ID with the given index.

Parameters

  index | the touch device index.

Returns
  the touch ID with the given index on success or 0 if the index is invalid; call SDL_GetError() for more information.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_GetNumTouchDevices

## SDL_GetTouchDeviceType()

SDL_TouchDeviceType SDL_GetTouchDeviceType | ( | SDL_TouchID | touchID | ) |

extern

Get the type of the given touch device.

Since
  This function is available since SDL 2.0.10.

## SDL_GetTouchFinger()

SDL_Finger * SDL_GetTouchFinger | ( | SDL_TouchID | touchID,
|  | int | index )

extern

Get the finger object for specified touch device ID and finger index.

The returned resource is owned by SDL and should not be deallocated.

Parameters

  touchID | the ID of the requested touch device.
  index | the index of the requested finger.

Returns
  a pointer to the SDL_Finger object or NULL if no object at the given ID and index could be found.

Since
  This function is available since SDL 2.0.0.

See also
  SDL_RecordGesture

## SDL_GetTouchName()

const char * SDL_GetTouchName | ( | int | index | ) |

extern

Get the touch device name as reported from the driver or NULL if the index is invalid.

Since
  This function is available since SDL 2.0.22.